#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [ 
    'fire==0.4.0',
    'omegaconf==2.2.2',
    'ripgrepy==1.1.0'
]

test_requirements = [ ]

setup(
    author="redacted",
    author_email='noreply@local.io',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Python3 module and cli retrieving userful info from projects sources code, that can be later used in further steps in the context of a CI/CD pipeline for instance.",
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='pysourcesinfo',
    name='pysourcesinfo',
    packages=find_packages(include=['pysourcesinfo', 'pysourcesinfo.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/weallfloatdownhere/pysourcesinfo',
    version='0.3.2',
    zip_safe=False,
)
